#include <galprop/CrossSectionData.h>
#include "galpropy.hpp"

void bind_CrossSectionData(py::module_ &m)
{
    // TODO make it a map
    py::class_<CrossSectionData>(m, "CrossSectionData")
        .def(py::init<>())
        .def("get", py::overload_cast<int, int, int, int>(
                &CrossSectionData::get))
        .def("get", py::overload_cast<int, int, int, int>(
                &CrossSectionData::get, py::const_))
        .def("has", &CrossSectionData::has)
        .def("array_size", &CrossSectionData::array_size);

    using array_type = std::valarray<double>;
    py::class_<CrossSectionData2D>(m, "CrossSectionData2D")
        .def(py::init<>())
        .def("insert_column", py::overload_cast<
                double, const array_type&, const array_type&>(
                &CrossSectionData2D::insert_column<array_type>))
        // .def("insert_column", py::overload_cast<double, const std::string&>(
        //         &CrossSectionData2D::insert_column))
        .def("loginterp", &CrossSectionData2D::loginterp);
}
