#include <galprop/DarkMatter.h>
#include <galprop/DMProductParticle.h>
#include "galpropy.hpp"

void bind_DMProductParticle(py::module_ &m)
{
    py::class_<DMProductParticle>(m, "DMProductParticle")
        .def(py::init<std::shared_ptr<const ParticleInfo>,
                      std::shared_ptr<const Galaxy>,
                      const std::string &>())
        .def("depends_on", &DMProductParticle::depends_on)
        .def("fill_source_functions", &DMProductParticle::fill_source_functions)
        .def_readwrite("dm", &DMProductParticle::dm);
}
