#include <galprop/IsotopeMap.h>
#include "galpropy.hpp"

void bind_IsotopeMap(py::module_ &m)
{
    py::class_<IsotopeNumber>(m, "IsotopeNumber")
        .def(py::init<>())
        .def("packed", py::overload_cast<>(&IsotopeNumber::packed))
        .def("packed", py::overload_cast<>(&IsotopeNumber::packed, py::const_))
        .def("is", &IsotopeNumber::is)
        .def(py::self < py::self);
}
