#include "galpropy.hpp"

namespace py = pybind11;

void bind_ErrorLogger(py::module_ &);
void bind_Distribution(py::module_ &m);
void bind_SourceSpectrum(py::module_ &);
void bind_SourceDistribution(py::module_ &);
void bind_Structures(py::module_ &);
void bind_Spectrum(py::module_ &);
void bind_ParticleLibrary(py::module_ &);
void bind_Particle(py::module_ &);
void bind_PrimaryParticle(py::module_ &);
void bind_SecondaryParticle(py::module_ &);
void bind_Galdef(py::module_ &);
void bind_Galaxy(py::module_ &);
void bind_GCR(py::module_ &);
void bind_SolarModulation(py::module_ &);
void bind_PropelBase(py::module_ &m);
void bind_PropelOperatorRedBlack(py::module_ &m);
void bind_EnergyLoss(py::module_ &m);
void bind_Galprop(py::module_ &);
void bind_DarkMatter(py::module_ &);
void bind_DMProductParticle(py::module_ &);
void bind_IsotopeMap(py::module_ &);
void bind_CrossSectionData(py::module_ &);

PYBIND11_MODULE(_bind_galpropcc, m) {
    bind_ErrorLogger(m);
    bind_Distribution(m);
    bind_SourceSpectrum(m);
    bind_SourceDistribution(m);
    bind_Structures(m);
    bind_Spectrum(m);
    bind_ParticleLibrary(m);
    bind_Particle(m);
    bind_PrimaryParticle(m);
    bind_SecondaryParticle(m);
    bind_Galdef(m);
    bind_Galaxy(m);
    bind_GCR(m);
    bind_SolarModulation(m);
    bind_PropelBase(m);
    bind_PropelOperatorRedBlack(m);
    bind_EnergyLoss(m);
    bind_Galprop(m);
    bind_DarkMatter(m);
    bind_DMProductParticle(m);
    bind_IsotopeMap(m);
    bind_CrossSectionData(m);
}
