#include <pybind11/pybind11.h>
#include <pybind11/stl.h>
#include <pybind11/stl_bind.h>
#include <pybind11/operators.h>
#include <galprop/Distribution.h>
#include <galprop/SourceSpectrum.h>
#include <galprop/Particle.h>
#include <galprop/GCR.h>
#include <galprop/Galprop.h>
namespace py = pybind11;
using namespace pybind11::literals;

PYBIND11_MAKE_OPAQUE(std::vector<SrcSpecSBPL::SmoothlyBrokenSegment>);

PYBIND11_MAKE_OPAQUE(std::vector<std::shared_ptr<Particle>>);
PYBIND11_MAKE_OPAQUE(std::map<std::string, std::shared_ptr<Particle>>);

PYBIND11_MAKE_OPAQUE(std::vector<std::shared_ptr<GCR::Populator>>);

PYBIND11_MAKE_OPAQUE(std::vector<Distribution>);
